## persalys 15.0%2Bds

=== lib/include/CMakeLists.txt ===

ot_add_current_dir_to_include_dirs ()

ot_install_header_file (PersalysPrivate.hxx)
ot_install_header_file (Persalys.hxx)

=== lib/src/view/PyInterp/CMakeLists.txt ===
set (SOURCEFILES "" CACHE STRING "" FORCE)

ot_add_current_dir_to_include_dirs ()

ot_add_source_file (PyInterp_Dispatcher.cxx)
ot_add_source_file (PyInterp_Event.cxx)
ot_add_source_file (PyInterp_Interp.cxx)
ot_add_source_file (PyInterp_Request.cxx)

# ot_install_header_file (PyInterp.h)
# ot_install_header_file (PyInterp_Event.h)
# ot_install_header_file (PyInterp_Interp.h)
# ot_install_header_file (PyInterp_Request.h)
# ot_install_header_file (PyInterp_Utils.h)

qt_wrap_cpp (PERSALYS_CONSOLE_MOC_SRCS
              PyInterp_Dispatcher.h)

include_directories (${INTERNAL_INCLUDE_DIRS})
add_library (persalyspyinterp ${SOURCEFILES} ${PERSALYS_CONSOLE_MOC_SRCS})

if ( BUILD_SHARED_LIBS )
  target_compile_definitions (persalyspyinterp PRIVATE PERSALYS_DLL_EXPORTS PyInterp_EXPORTS)
endif ()

if ( NOT DEFINED LIB_VERSION ) 
  set ( LIB_VERSION 0.0.0 )
endif ()
if ( NOT DEFINED LIB_SOVERSION ) 
  set ( LIB_SOVERSION 0 )
endif ()
set_target_properties (persalyspyinterp PROPERTIES VERSION ${LIB_VERSION})
set_target_properties (persalyspyinterp PROPERTIES SOVERSION ${LIB_SOVERSION})

target_include_directories (persalyspyinterp PUBLIC ${Python_INCLUDE_DIRS})
target_link_libraries (persalyspyinterp ${QT_LIBRARIES})
target_link_libraries (persalyspyinterp ${Python_LIBRARIES})
if (MINGW AND CMAKE_SIZEOF_VOID_P EQUAL 8)
  target_compile_definitions (persalyspyinterp PRIVATE MS_WIN64)
endif ()

install ( TARGETS persalyspyinterp
  RUNTIME DESTINATION ${PERSALYS_BIN_PATH}
  LIBRARY DESTINATION ${PERSALYS_LIBRARY_PATH}
  ARCHIVE DESTINATION ${PERSALYS_LIBRARY_PATH}
)

=== debian/changelog ===
persalys (15.0+ds-3build5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:18:29 +1100

persalys (15.0+ds-3build4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:22:11 +0000

persalys (15.0+ds-3build3) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 21:14:38 +0100

persalys (15.0+ds-3build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 20 Jan 2024 09:02:21 +0000

persalys (15.0+ds-3build1) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:54:32 +0100

persalys (15.0+ds-3) unstable; urgency=medium

  * Removing one last problematic assertion, already replaced by a correct one,
    in the ProbabilisticModelWindow test (Closes: #1055050)

 -- Pierre Gruet <pgt@debian.org>  Fri, 10 Nov 2023 17:02:46 +0100

persalys (15.0+ds-2) unstable; urgency=medium

  * Testing the equality of distributions with assert_almost_equal

 -- Pierre Gruet <pgt@debian.org>  Fri, 10 Nov 2023 07:16:25 +0100

persalys (15.0+ds-1) experimental; urgency=medium

  * New upstream version 15.0+ds
  * Removing upstreamed patch
  * Adding versioned (build-)depends on openturns 1.21.1
  * Fixing the clean target (Closes: #1047830)
  * Refreshing d/copyright
  * Installing the now upstream-provided .desktop file
  * Installing the now upstream-provided Persalys icon
  * Fixing tiny spelling errors
  * Fixing locale in QtTools tests so that strings are correctly sorted
  * Fixing locale in Python DataModel test
  * Removing failing test after discussing with upstream

 -- Pierre Gruet <pgt@debian.org>  Tue, 31 Oct 2023 15:35:53 +0100

=== debian/control ===
Source: persalys
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Pierre Gruet <pgt@debian.org>,
           Julien Schueller <schueller@phimeca.com>
Build-Depends: debhelper-compat (= 13),
               cmake,
               dh-python,
               python3-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>
Build-Depends-Arch: gfortran,
                    docbook-to-man,
                    libboost-filesystem-dev,
                    libboost-locale-dev,
                    libhmat-oss-dev,
                    libopenturns-dev (>= 1.21.1),
                    libqt5opengl5-dev,
                    libqwt-qt5-dev,
                    poppler-utils,
                    python3-openturns (>= 1.21.1),
                    swig,
                    texlive,
                    texlive-latex-extra
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/science-team/persalys
Vcs-Git: https://salsa.debian.org/science-team/persalys.git
Homepage: https://www.persalys.fr/
Rules-Requires-Root: no

Package: libpersalys0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: GUI for uncertainty treatment (shared libraries)
 Persalys is a graphical user interface for OpenTURNS, dedicated to the
 treatment of uncertainty and the management of variabilities. The software is
 a tool between the computer simulation, probabilistic analyses and the data
 sciences. The interface is available in French or in English.
 .
 Persalys allows one to:
  - create mathematical models: analytical, coupling with an external model
  (finite elements, ...), FMU;
  - analyse the variability of one's parameters thanks to many methods and
  visualisation tools;
  - statistically analyse one's measuring data, infer probability distributions
  or create metamodels.
 .
 This package contains the shared libraries.

Package: libpersalys-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         libpersalys0 (= ${binary:Version}),
         ${misc:Depends}
Description: GUI for uncertainty treatment (development files)
 Persalys is a graphical user interface for OpenTURNS, dedicated to the
 treatment of uncertainty and the management of variabilities. The software is
 a tool between the computer simulation, probabilistic analyses and the data
 sciences. The interface is available in French or in English.
 .
 Persalys allows one to:
  - create mathematical models: analytical, coupling with an external model
  (finite elements, ...), FMU;
  - analyse the variability of one's parameters thanks to many methods and
  visualisation tools;
  - statistically analyse one's measuring data, infer probability distributions
  or create metamodels.
 .
 This package contains the development files.

Package: persalys
Architecture: any
Depends: ${shlibs:Depends},
         libpersalys0 (= ${binary:Version}),
         python3-persalys (= ${binary:Version}),
         ${misc:Depends}
Description: GUI for uncertainty treatment and variabilities management
 Persalys is a graphical user interface for OpenTURNS, dedicated to the
 treatment of uncertainty and the management of variabilities. The software is
 a tool between the computer simulation, probabilistic analyses and the data
 sciences. The interface is available in French or in English.
 .
 Persalys allows one to:
  - create mathematical models: analytical, coupling with an external model
  (finite elements, ...), FMU;
  - analyse the variability of one's parameters thanks to many methods and
  visualisation tools;
  - statistically analyse one's measuring data, infer probability distributions
  or create metamodels.

Package: python3-persalys
Section: python
Architecture: any
Depends: ${shlibs:Depends},
         libpersalys0 (= ${binary:Version}),
         python3-openturns (>= 1.21.1),
         ${misc:Depends},
         ${python3:Depends}
Description: GUI for uncertainty treatment (Python bindings)
 Persalys is a graphical user interface for OpenTURNS, dedicated to the
 treatment of uncertainty and the management of variabilities. The software is
 a tool between the computer simulation, probabilistic analyses and the data
 sciences. The interface is available in French or in English.
 .
 Persalys allows one to:
  - create mathematical models: analytical, coupling with an external model
  (finite elements, ...), FMU;
  - analyse the variability of one's parameters thanks to many methods and
  visualisation tools;
  - statistically analyse one's measuring data, infer probability distributions
  or create metamodels.
 .
 This package contains the Python3 bindings.
